japa.parser.ast.stmt

## Class CatchClause

- java.lang.Object
- - japa.parser.ast.Node
  - - japa.parser.ast.stmt.CatchClause

    public final class CatchClause
    extends Node

### Constructor Summary

Constructors
Constructor and Description
`CatchClause()`
`CatchClause(int beginLine, int beginColumn, int endLine, int endColumn, Parameter except, BlockStmt catchBlock)`
`CatchClause(Parameter except, BlockStmt catchBlock)`

### Method Summary

Methods
`<R,A> R` `accept(GenericVisitor<R,A> v, A arg)` Accept method for visitor support.
`<A> void` `accept(VoidVisitor<A> v, A arg)` Accept method for visitor support.
`BlockStmt` `getCatchBlock()`
`Parameter` `getExcept()`
`void` `setCatchBlock(BlockStmt catchBlock)`
`void` `setExcept(Parameter except)`

### Methods inherited from class japa.parser.ast.Node

`equals, getBeginColumn, getBeginLine, getData, getEndColumn, getEndLine, hashCode, setBeginColumn, setBeginLine, setData, setEndColumn, setEndLine, toString`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### CatchClause

    public CatchClause()

#### CatchClause

    public CatchClause(Parameter except,
               BlockStmt catchBlock)

#### CatchClause

    public CatchClause(int beginLine,
               int beginColumn,
               int endLine,
               int endColumn,
               Parameter except,
               BlockStmt catchBlock)

### Method Detail

#### accept

    public <R,A> R accept(GenericVisitor<R,A> v,
                 A arg)

Description copied from class: `Node`
Accept method for visitor support.

Specified by:
  `accept` in class `Node`
Type Parameters:
  `R` - the type the return value of the visitor
  `A` - the type the argument passed for the visitor
Parameters:
  `v` - the visitor implementation
  `arg` - any value relevant for the visitor
Returns:
  the result of the visit

#### accept

    public <A> void accept(VoidVisitor<A> v,
                  A arg)

Description copied from class: `Node`
Accept method for visitor support.

Specified by:
  `accept` in class `Node`
Type Parameters:
  `A` - the type the argument passed for the visitor
Parameters:
  `v` - the visitor implementation
  `arg` - any value relevant for the visitor

#### getCatchBlock

    public BlockStmt getCatchBlock()

#### getExcept

    public Parameter getExcept()

#### setCatchBlock

    public void setCatchBlock(BlockStmt catchBlock)

#### setExcept

    public void setExcept(Parameter except)